import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi,optionsListApiType } from '/@/api/tigerapi/mes/smt/smtmaintain';
import { h,unref } from 'vue';
import { Tag ,Tooltip} from 'ant-design-vue';
import{ useLocale } from '/@/locales/useLocale';

const { getLocale }=useLocale();

export const columns: BasicColumn[] = [
  {
    title: '工具编码',
    dataIndex: 'TOOL_CODE',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '保养项目编码',
    dataIndex: 'PROJ_CODE',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '类型',
    dataIndex: 'RESULT',
    width: 100,
    sorter: true,
    resizable: true,
    customRender: ({ record }) => {
      const status = record.RESULT;
      var text = '';
      var color = '';
      switch (status) {
        case 0:
          text = '正常';
          color = 'green';
          break;
        case 1:
          text = '刮刀';
          color = 'blue';
          break;
        default:
          break;
      }
      return h(Tooltip, { title: 'xxxxxx' }, () => h(Tag, { color: color }, () => text));
    },
  },
  {
    title: '备注',
    dataIndex: 'REMARK',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: 'ID',
    dataIndex: 'ID',
    width:200,
    sorter: true,
    resizable:true,
    ifShow:false
  }
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'TOOL_CODE',
    label: '工具编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];

//新增组件export const
export const formSchema: FormSchema[] = [
  {
    label: '工具编码',
    field: 'TOOL_CODE',
    required: true,
    colProps: { span: 24 },
    component: 'Input',
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    label: '保养项目编码',
    field: 'PROJ_CODE',
    required: true,
    colProps: { span: 24 },
    component: 'Input',
  },
  {
    label: '类型',
    field: 'RESULT',
    required: true,
    component: 'ApiSelect',
    colProps: { span: 24 },
    componentProps: {
      api: optionsListApi,
      resultField: 'Data',
      labelField: unref(getLocale)=='zh_CN'?'Desc':'Name',
      valueField: 'Value',
    },
  },
  {
    label: '备注',
    field: 'REMARK',
    required: true,
    colProps: { span: 24 },
    component: 'Input',
  }
];
//详情
export const columns_D: BasicColumn[] = [
  {
    title: '保养记录ID',
    dataIndex: 'MT_ID',
    width:200,
    sorter: true,
    resizable:true
  },
  {
    title: '工具编码',
    dataIndex: 'TOOL_CODE',
    width: 100,
    sorter: true,
    resizable:true
  },
  {
    title: '保养项目编码',
    dataIndex: 'PROJ_CODE',
    width: 100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值1',
    dataIndex: 'VALUE01',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值2',
    dataIndex: 'VALUE02',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值3',
    dataIndex: 'VALUE03',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值4',
    dataIndex: 'VALUE04',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值5',
    dataIndex: 'VALUE05',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值6',
    dataIndex: 'VALUE06',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值7',
    dataIndex: 'VALUE07',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值8',
    dataIndex: 'VALUE08',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养项9',
    dataIndex: 'VALUE09',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值10',
    dataIndex: 'VALUE10',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值11',
    dataIndex: 'VALUE11',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值12',
    dataIndex: 'VALUE12',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值13',
    dataIndex: 'VALUE13',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值14',
    dataIndex: 'VALUE14',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值15',
    dataIndex: 'VALUE15',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值16',
    dataIndex: 'VALUE16',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值17',
    dataIndex: 'VALUE17',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值18',
    dataIndex: 'VALUE18',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值19',
    dataIndex: 'VALUE19',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '保养记录值20',
    dataIndex: 'VALUE20',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '备注',
    dataIndex: 'REMARK',
    width:100,
    sorter: true,
    resizable:true
  }
  ,
  {
    title: '创建人',
    dataIndex: 'CREATE_USER',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width:100,
    sorter: true,
    resizable:true
  }
];

export const searchFormSchema_D: FormSchema[] = [
  {
    field: 'TOOL_CODE',
    label: '工具编码',
    component: 'Input',
    colProps: { span: 8 },
  }
];
